#!/bin/sh

function get_mss_interfaces() {
  grep -q 'lan\|wan' /etc/shorewall/interfaces
  # After mss first-time setup
  if [ $? -eq 0 ]; then
    zones=`grep 8000 /etc/shorewall/rules | awk '{ print $2 }'`
    for zone in $zones; do
      echo `grep $zone /etc/shorewall/interfaces | awk '{ print $2}'`
    done
  # Before mss first-time setup
  else
    echo `ip link show up | grep '^[0-9]' | sed 's/^[0-9].[[:blank:]]\+\([^:]\+\).*/\1/'`
  fi
}

function get_interface_addr() {
  iface=$1
  echo `ip addr show $iface | grep -o "inet [0-9]*\.[0-9]*\.[0-9]*\.[0-9]*" | sed 's/inet //'`
}

# TODO: Extract distribution name/version from LSB file

echo
echo " Welcome to Mageia 6"

if [ $UID -eq 0 ]; then
  ifaces=`get_mss_interfaces`
  [ -n "$ifaces" ] && echo " To manage your server, enter the following URL in a browser :" && echo
  for iface in $ifaces
  do
      case $iface in
      lo)	continue ;;
      esac
      addr=`get_interface_addr $iface`
      [ ! -z $addr ] && echo " $iface - http://$addr/"
  done
fi

echo
